Index: trunk/DataCheck/DataCheck/SchedulingPlots.sh
===================================================================
--- trunk/DataCheck/DataCheck/SchedulingPlots.sh	(revision 17896)
+++ trunk/DataCheck/DataCheck/SchedulingPlots.sh	(revision 17897)
@@ -11,50 +11,32 @@
 # script to be executed on gate, i.e. FACT++ there has to be up-to-date
 
-# create plots for past night
-direction="-"
-# create plots for future nights
-direction="+"
+# create plots for past (-) / future (+) night
+directions=( "-" "+" )
 
 # number of days to be treated
 numdays=1000
 
-
-plot=/home/fact/FACT++.in-run-fad-loss/makeplots
 plot=/home/fact/FACT++/makeplots
-root=/opt/root_svn/bin/thisroot.sh
-inpathdata=/home/fact/scheduling.plots
-inpathgate=/users/fact/scheduling.plots
-inpath=/users/fact/scheduling.plots
+root=/opt/root_v5.34.10/bin/thisroot.sh
 
 # creating files for X days (if they don't exist yet)
 for (( i=0; i < $numdays ; i++))
 do 
-   outpath=/home/factwww/scheduling/`date --date="${direction}${i}days" +%Y/%m/%d`
-   date=`date --date="${direction}${i}days" +%Y-%m-%d`
-   echo -n $date
+   for direction in ${directions[@]}
+   do
+      outpath=/home/factwww/scheduling/`date --date="${direction}${i}days" +%Y/%m/%d`
+      date=`date --date="${direction}${i}days" +%Y-%m-%d`
+      echo -n $date
 
-   if ! [ -d $outpath ]
-   then
-      mkdir -p $outpath
-   else
-      echo $outpath" exists -> continue"
-      continue 
-   fi
-   #file1=$outpath/visibility$date.png
-   #file2=$outpath/currents$date.png
-   #file3=$outpath/legend$date.png
-   #if ! [ -e $file1 ] || ! [ -e $file2 ] || ! [ -e $file3 ] 
-   #then
+      if ! [ -d $outpath ]
+      then
+         mkdir -p $outpath
+      else
+         echo $outpath" exists -> continue"
+         continue 
+      fi
       echo -n ": creating files..."
-      #ssh data "source $root ; cd $inpathdata ; $plot $date >/dev/null 2>&1"
       cd $outpath 
-      $plot $date --max-current=90 >/dev/null 2>&1
-      ##pstoimg -quiet $inpathgate/test1.eps -scale 1.5 -out $file1
-      #pstoimg -quiet test1.eps -scale 1.5 -out $file1
-      ##pstoimg -quiet $inpathgate/test2.eps -scale 1.5 -out $file2
-      #pstoimg -quiet test2.eps -scale 1.5 -out $file2
-      ##pstoimg -quiet $inpathgate/legend.eps -scale 0.8 -out $file3
-      #pstoimg -quiet legend.eps -scale 0.8 -out $file3
-      # with the version of 25.3.2013 the files seem to have new names: 
+      $plot $date --max-zd=75 --max-current=90 >/dev/null 2>&1
       files=`ls *.eps`
       for file in $files
@@ -68,5 +50,5 @@
          pstoimg -quiet -scale $scale $file
       done
-   #fi
-   echo ""
+      echo ""
+   done
 done
